#ifndef __PERSON_H__
#define __PERSON_H__
#include <iostream>
#include <vector>

using namespace std;

class person {
    public:
        string name;
        string fav_food;
        vector<string> friends;
        person(string new_name, string food) {
            name = new_name;
            fav_food = food;
        };
        void modify_food(string  new_food);
        void display_person(vector<person> & p);
        void add_friend(string name);
        bool already_friends(string name);
        void delete_friend(string name);
};

#endif
